package ink.wgink.service.permission.enums;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: PermissionTypeEnum
 * @Description: 权限类型
 * @Author: WangGeng
 * @Date: 2020/5/27 16:03
 * @Version: 1.0
 **/
public enum PermissionTypeEnum {
    PERMISSION_INSERT("permissionInsert"),
    PERMISSION_DELETE("permissionDelete"),
    PERMISSION_UPDATE("permissionUpdate"),
    PERMISSION_QUERY("permissionQuery");

    private String value;

    PermissionTypeEnum(String value) {
        this.value = value;
    }

    public String getValue() {
        return value == null ? "" : value;
    }
}
